Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.abase.aBase.provider
Class ABaseEditPlugin.Implementation

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.emf.common.EMFPlugin.EclipsePlugin
              org.eclipse.amp.amf.abase.aBase.provider.ABaseEditPlugin.Implementation

All Implemented Interfaces:
  org.eclipse.emf.common.EMFPlugin.InternalEclipsePlugin, org.eclipse.emf.common.util.Logger, org.eclipse.emf.common.util.ResourceLocator, org.osgi.framework.BundleActivator

Enclosing class:
  ABaseEditPlugin

    public static class ABaseEditPlugin.Implementation

extends org.eclipse.emf.common.EMFPlugin.EclipsePlugin

The actual implementation of the Eclipse Plugin.

Field Summary

Fields inherited from class org.eclipse.emf.common.EMFPlugin.EclipsePlugin
`helper`

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`ABaseEditPlugin.Implementation()` Creates an instance.

Method Summary

Methods inherited from class org.eclipse.emf.common.EMFPlugin.EclipsePlugin
`doGetImage, getBaseURL, getImage, getString, getString, getString, getString, getSymbolicName, log`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, start, startup, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ABaseEditPlugin.Implementation

    public ABaseEditPlugin.Implementation()

  Creates an instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD